X25519Test (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.math.ec.rfc7748.test

## Class X25519Test

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.math.ec.rfc7748.test.X25519Test

- All Implemented Interfaces:
    junit.framework.Test

      public class X25519Test
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X25519Test()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `testConsistency()`
    `void` | `testECDH()`
    `void` | `testECDHVector1()`
    `void` | `testX25519Iterated()`
    `void` | `testX25519Vector1()`
    `void` | `testX25519Vector2()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### X25519Test

          public X25519Test()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### testConsistency

          public void testConsistency()

    - #### testECDH

          public void testECDH()

    - #### testECDHVector1

          public void testECDHVector1()

    - #### testX25519Iterated

          public void testX25519Iterated()

    - #### testX25519Vector1

          public void testX25519Vector1()

    - #### testX25519Vector2

          public void testX25519Vector2()